Create manual journal

post
https://api.wafeq.com/v1/manual-journals/

Endpoint for creating a new manual journal.

Query Params
string

Comma-separated relationships to expand. Pass journal to replace the journal ID with its object (ID, date, currency, reference, notes and timestamps). Documents without a journal still return null. Journal line items are retrieved separately with GET /v1/journal-line-items/?journal={journal_id}.

Body Params

A manual journal entry recorded directly in the general ledger.

attachmentsarray of strings

The attachments linked to this manual journal.

daterequired

The date of the manual journal.

stringlength ≤ 255

External identifier for the manual journal.

line_itemsarray of objects

The line items of the manual journal.

string

The notes of the manual journal.

string

The reference of the manual journal

stringenumDefaults to TAX_EXCLUSIVE

The tax amount type of the manual journal.

View the enum reference

Allowed:
Headers
string

Client-provided UUID to uniquely identify a request

stringenumDefaults to application/json

Generated from available request content types

Allowed:
Response